<template>
  <p class="my-0 welcome">
    <span class="mr-1">{{ $t('hello') }} <b>{{ authUser.firstName }}</b></span>
  </p>
</template>

<script>
  import { get } from 'vuex-pathify'

  export default {
    name: 'UserWelcome',
    computed: {
      authUser: get('auth/authUser'),
    },
    i18n: {
      messages: {
        'pt-BR': {
          hello: 'Olá,',
        },
        'en-US': {
          hello: 'Hello,',
        },
      },
    },
  }
</script>

<style lang="scss" scoped>
.welcome {
  user-select: none;
}
</style>
